
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>mysql-怎样让程序支持命令行操作 / iVAN</title>

    <meta name="description" content="mysql-怎样让程序支持命令行操作 问题描述 怎样让程序支持命令行操作 怎样编写支持命令行的程序,比如像mysql,gcc之类的为什么可以通过命令行可以进行操作?我的想法是,程序运行后开启一个线程不断监听键盘的输入,但是这样程序必须启动后才能执行这些命令.但是像gcc之类的可以直接执行命令 啊.还是和系统的shell有关呢. 解决方案 交互式编程,不要想的太偏激 解决方案二: 就是读取命令行输入,然后执行对应的逻辑,执行完了,就继续等待后一个命令的输入. 解决方案三: 就是读取命令行输入,然后执行对应的逻辑,执行完了,输出到控制台">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">mysql-怎样让程序支持命令行操作</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>怎样让程序支持命令行操作<br />
        	<b></b>
        </dt>
<dd>
          <br />怎样编写支持命令行的程序，比如像mysql，gcc之类的为什么可以通过命令行可以进行操作？我的想法是，程序运行后开启一个线程不断监听键盘的输入，但是这样程序必须启动后才能执行这些命令。但是像gcc之类的可以直接执行命令 啊。还是和系统的shell有关呢。</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>交互式编程，不要想的太偏激</p>
<p>解决方案二：<br />
    <br />就是读取命令行输入，然后执行对应的逻辑，执行完了，就继续等待后一个命令的输入。</p>
<p>解决方案三：<br />
    <br />就是读取命令行输入，然后执行对应的逻辑，执行完了，输出到控制台，就继续等待后一个命令的输入。</p>
<p>解决方案四：<br />
    <br />交互性 和 适于快速程序开发 是使用解释性编程语言的一大特点（shell、perl等脚本语言），因为该语言的翻译执行过程是通过 解释器interpreter 进行的，解释器将源代码转换为一些动作，并立即执行这些动作。但是对于大型项目，在性能上解释性语言就存在局限性，而且调试也很难（不过据说Python是一个例外，但是本人没学过Python） ，所以对于交互性的程序还是建议使用脚本语言开发。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 08:52:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/shell/" title="shell">shell</a>, <a href="https://www.iamivan.net/tag/gcc/" title="gcc">gcc</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>mysql-怎样让程序支持命令行操作的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4rvxp.html" rel="bookmark">让WPF窗体程序支持命令行方式运行的三种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有的时候,我们希望窗体程序也能接受命令行参数,以Console的方式运行.但是实现起来却要一些小技巧才能做到.如果做一个WPF程序,在Window的Loaded事件里写这样的语句: Console.WriteLine(&quot;Hello word.&quot;); 然后从CMD运行之.会发现这个语句根本没有输出出来.如图1所示. 图1. 从命令行运行Wpf程序 对于这个问题有三个解决方案.三个方案各有优缺点,请酌情选择. 1.使用more命令:这种方案不需要修改任何代码,只要在从命令行运行时加个 &q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3N5m0z.html" rel="bookmark">php连接不上mysql但mysql命令行操作正常的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了php连接不上mysql但mysql命令行操作正常的解决方法,需要的朋友可以参考下 故障状况:php网站连接mysql失败,但在命令行下通过mysql命令可登录并正常操作. 解决方案: 1.命令行下登录mysql,执行以下命令:  代码如下:show variables like 'socket'; 执行后会得到类似于如下回显:  代码如下: &quot;Variable_name&quot;        &quot;Value&quot; &quot;socket&quot;  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQaKa8b.html" rel="bookmark">php连接不上mysql但mysql命令行操作正常的解决方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				故障状况:php网站连接mysql失败,但在命令行下通过mysql命令可登录并正常操作.解决方案:1.命令行下登录mysql,执行以下命令: 复制代码 代码如下: show variables like 'socket'; 执行后会得到类似于如下回显: 复制代码 代码如下: &quot;Variable_name&quot;        &quot;Value&quot;&quot;socket&quot;                  &quot;/home/mysql/data/mysql.so			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVYD5b.html" rel="bookmark">Ubuntu server版上使用命令行操作VPN客户端</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ubuntu server版上使用命令行操作VPN客户端 VPN,虚拟专用网络,这个技术还是非常实用的.最近笔者参与的项目中就使用上了VPN,大概情况是这样的,有两个开发团队,在异地,代码服务器在深圳了,它使用的是企业内部局域网,支持上网功能的,我们在公网上弄了个阿里云服务器,装了ubuntu vpn的server,其实我们现在要做的就是把代码服务器通过VPN拨号上去,组建一个新的本地网络,怎么大家VPN的server笔者就不在这描述了,网上已经有大把资料了,笔者下面就简要介绍一下自己在代码服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0n2Vjz.html" rel="bookmark">vc-VC里怎样实现向另一应用程序发送命令行参数？需要调用哪些API函数？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 VC里怎样实现向另一应用程序发送命令行参数?需要调用哪些API函数? 现要写一个程序甲,甲向乙程序发送命令行参数,乙解析该参数并作相应操作, 现在问题是具体甲怎样向乙发送命令行参数?需要调用哪些API函数? (抱歉还是菜鸟,没有金币悬赏~谢谢各位大神了!) 解决方案 如果a是启动进程B的话,那么CreateProcess就可以启动B,同时带上命令行参数,B解析参数进行动作. 如果B已经启动了,这个其实就是进程通信,最简单的方式是发送消息,PostMessage.B根据消息进行对应的操作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEyyOz.html" rel="bookmark">sqlserver常用命令行操作&lpar;启动、停止、暂停&rpar;&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				启动sql server Net Start MSSqlServer 暂停sql server Net Pause MSSqlServer 重新启动暂停的sql server Net Continue MSSqlServer 停止sql server Net stop MSSqlServer 命令行方式修改sql server sa 的密码 一直都是使用企业管理器操作sql的,昨天帮一朋友部署网站,租的国外vps主机,登陆上去只看到sql的图标正常运行的,企业管理器和查询分析器的影都没看到,汗一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AOvWp.html" rel="bookmark">如何获取其它程序的命令行参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开发环境:VC6 Windows XP 测试环境:WindowsXP 我们都知道,在程序里获取命令行参数很简单,WinMain函数会以参数的形式传递给我们,或者可以调用API GetCommandLine 获取.但是GetCommandLine函数不接受参数,获取的只是自己程序的命令行参数.那么如果我们想获取别的应用程序的命令行参数应该怎么办呢? 有的同学说,既然GetCommandLine只能获取本程序的命令行参数,我们可以在其它进程里插入一个Dll,在那个进程的地址空间调用GetComman			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6Rmjb.html" rel="bookmark">Bash Getopts - 让你的脚本支持命令行参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Bash Getopts - 让你的脚本支持命令行参数 以前我总想知道如何为我的Bash脚本创建命令行参数.经过搜索,我发现了2个函数可以处理这个问题,getopt 函数和 getopts 函数.我无意争论哪一个函数更好的.getopts 是一个shell内建命令,而且似乎比 getopt 更容易实现这个功能,所以在这篇文章里我准备讲讲getopts. bash getopts 开始的时候,我只试着处理传递给脚本的命令行参数.最后,我添加了另外一些有用的功能函数,使得这个脚本可以成为其他任何交互			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNj7jmM.html" rel="bookmark">同样的python程序在命令行中与python shell&comma;eclipse中的运行结果不一样</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 同样的python程序在命令行中与python shell,eclipse中的运行结果不一样 我在做leetcode题的时候写的python程序中包含如下一段代码: res = int(a, 2) + int(b, 2) ans = [] while res &gt; 0: t = str(res % 2) 结果我先在python shell里面运行这个程序会报错: 然而我在python shell里面运行类似的代码,也把一个整型存放到res里,就没有问题: 同样在eclipse中运行也是正			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbamRmb.html" rel="bookmark" class="title">鏖战双十一-阿里直播平台面临的技术挑战</a>
					<div>
						作者:陈康贤 前言:一直以来双十一都是以交易为重心,今年当然也是如此,但是这并不妨碍万能的淘宝将双十一打造的让用户更欢乐.体验更丰富.玩法更多样.内容更有趣,因此,今年也诞生了以直播为特色的游戏双十一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKdVZM.html" rel="bookmark" class="title">各种浏览器兼容问题列表</a>
					<div>
						下面列出了各种浏览器兼容性问题,写css的时候可以参考. 1.仅IE7与IE5.0可以识别 *+html select {-} 当面临需要只针对IE7与IE5.0做样式的时候就可以采用这个HACK.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnDxKb.html" rel="bookmark" class="title">考拉网CEO谈融资、创业团队及运营推广</a>
					<div>
						导读:一个还没上线的项目就获得IDG投资?一个新上线的项目如何建立一支完善的创业团队?一个被誉为Web2.0时代最牛X的工具条如何穿越层层防线?网站运营探讨俱乐部本期邀请深圳市光芒科技有限公司CEO金 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kJrZz.html" rel="bookmark" class="title">openfiler与multipath多路径功能支持</a>
					<div>
						说明: 对于有两个或多个控制器的iscsi存储设备,或采用openfiler有两块网卡提供服务器的系统.需要配置多路径功能提高可用性. 本文采用openfiler来实现iscsi设备的安装与测试. 本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB9dlb.html" rel="bookmark" class="title">POJ 2385 Apple Catching &lpar;DP&rpar;</a>
					<div>
						Description It is a little known fact that cows love apples. Farmer John has two apple trees (which  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ya9Bz.html" rel="bookmark" class="title">oracle10gCRSvotingdisk管理</a>
					<div>
						  oracle 10g CRS voting disk 管理 -----------------voting disk 备份恢复: --备份voting disk: ? 1 dd if=voting ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr81Pp.html" rel="bookmark" class="title">探讨Oracle中的&amp;amp&semi;号问题</a>
					<div>
						在Oracle中inset里面的内容如果中有'&amp;'号,有可能会插入失败,下面介绍一下方法: 1.在pl/sql中:&amp;可以用&amp;&amp;代替 2.在sql developer中: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42aQYM.html" rel="bookmark" class="title">PicPick如何给图片添加文字说明</a>
					<div>
						  1.打开PicPick软件,然后点击工具面板上的&quot;文字&quot;按钮,如首图红色箭头所示. 2.然后把鼠标指针移动到图片想输入文字的地方画一个矩形方框,如下图左边红色箭头所示.再在右边 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o0kwb.html" rel="bookmark" class="title">系统找不到移动硬盘</a>
					<div>
						  当把移动硬盘与电脑连接后,系统没有出现&quot;发现USB设备&quot;的提示,但是在其他电脑上可以找到移动硬盘. 这种情况是因为在BIOS中没有给USB接口分配中断号,造成系统无法正常识别和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWkaBb.html" rel="bookmark" class="title">POJ 3468 线段树 区间更新区间查询</a>
					<div>
						题意:给出一段数列,任意区间加上一个整数v,任意区间查询.给出N个数,Q次操作. 线段树的题,延迟指针不更新到底就行了. #include &lt;iostream&gt; #include&lt;c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm4wNz.html" rel="bookmark" class="title">柯里化的前生今世（六）：词法作用域和闭包</a>
					<div>
						关于 在上一篇中,我们介绍了动态作用域,并进行了相关名词的解释. 我们解释了什么是环境,什么是帧,如何在一个环境中对表达式求值. 我们用一个内部结构表示了函数,实现了一个微型的支持动态作用域的解释器. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr36B6p.html" rel="bookmark" class="title">联想欲数十亿收购 IBM x86 服务器业务</a>
					<div>
						据国外媒体报道,有消息人士透露,IBM正在与联想集团就出售x86服务器业务进行谈判.IBM的低价x86服务器被许多企业和云端数据中心采用.虽然确切的交易价格尚不清楚,但消息人士预计该交易价值可能达到数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrwNOM.html" rel="bookmark" class="title">web- 一般Web的图表可以显示多少行 的数据？？？   显示多少点的数据比较合适</a>
					<div>
						问题描述 一般Web的图表可以显示多少行 的数据??? 显示多少点的数据比较合适 问题: 一般Web的图表可以显示多少行 的数据??? 显示多少点的数据比较合适? 解决方案 看屏幕大小 和你的网页的布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamLNJb.html" rel="bookmark" class="title">访问慢-求解：一个简单ASP网站访问速度慢的问题。</a>
					<div>
						问题描述 求解:一个简单ASP网站访问速度慢的问题. 3年前给一政府部门做的内部信息网站,用的是ASP+SQL2005的平台,服务器为HP机,配置不低,4G内存,网卡千兆.最近情况:某一台客户端Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkBwJb.html" rel="bookmark" class="title">android studio 模块更新问题</a>
					<div>
						问题描述 android studio 模块更新问题 我在公司的电脑上写的module,下班了我又把它拷回去继续写,然后把项目下面的模块文件夹删掉,拷入最新的文件夹(同一个module,同一文件夹.只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRKDEb.html" rel="bookmark" class="title">Linux 升级 Python 至 3&period;x</a>
					<div>
						简述 CentOS 7 中默认安装了 Python,版本比较低(2.7.5),为了使用新版 3.x,需要对旧版本进行升级. 由于很多基本的命令.软件包都依赖旧版本,比如:yum.所以,在更新 Pyth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBar0M.html" rel="bookmark" class="title">【阿里云资讯】MIT科技评论：阿里是大数据Game Changer</a>
					<div>
						阿里是大数据Game Changer 11月14日,&lt;麻省理工科技评论&gt;(MIT Technology Review)官网刊登文章&lt;Big Data Game-Changer: Al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZVZqz.html" rel="bookmark" class="title">SerDes 技术开发商Kandou Bus获1500万美元融资</a>
					<div>
						昨天(7 月 25 日),SerDes 技术开发商 Kandou Bus宣布完成 1500 万美元融资,由 Bessemer Venture Partners 进行投资.公司计划利用本次融资扩大研究范 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4LLZz.html" rel="bookmark" class="title">Emit：动态给一个类型添加Attribute</a>
					<div>
						下面这段代码整理自sl4的官方文档,已经加了详细的注释,相信大家都能看明白: using System; using System.Reflection; using System.Reflectio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBdVAb.html" rel="bookmark" class="title">Tilera将推100内核CPU 计算能力10倍英特尔</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   Tilera公司是一家硅谷的新兴无晶圆半导体公司,该公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXj2Bb.html" rel="bookmark" class="title">判断data类型为空-求指点，前端页面的问题</a>
					<div>
						问题描述 求指点,前端页面的问题 图片中的dealTime是data类型,从后台获取的,现在怎么判断dealTime是否为空?? 解决方案 不知道什么语言,可以试试看 == null 解决方案二: 同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyy73z.html" rel="bookmark" class="title">JS动态调用方法名示例介绍&lowbar;javascript技巧</a>
					<div>
						先看看JS的一个函数 JavaScript eval() 函数 定义和用法 eval() 函数可计算某个字符串,并执行其中的的 JavaScript 代码. 语法 eval(string) 参数 描述 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YYy3z.html" rel="bookmark" class="title">排序算法python实现</a>
					<div>
						先列出一些算法复杂度的标识符号的意思, 最常用的是O,表示算法的上届,如 2n2 = O(n2 ), 而且有可能是渐进紧确的, 意思是g(n)乘上一个常数系数是可以等于f(n)的,就是所谓的a&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeWQlM.html" rel="bookmark" class="title">平均年薪40万！为什么却很少见程序员炫富&quest;</a>
					<div>
						问:平均年薪40万!为什么却很少见程序员炫富? 答:因为没时间.没精力... 其实很多人都知道,程序员还是一个比较辛苦的工作,很多人家境也不算好,也不然也不会选择这一行了,大实话!虽然比较辛苦,但是程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12n63p.html" rel="bookmark" class="title">application&period;doevents&lpar;&rpar;</a>
					<div>
						问题描述 do{if(num==7){return:}application.DoEvents();}while(num!=8):MessageBox.show(&quot;弹出提示&quot;);采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn8vNM.html" rel="bookmark" class="title">java-我用了ssh框架 好像方法没用啊 为什么呢</a>
					<div>
						问题描述 我用了ssh框架 好像方法没用啊 为什么呢 新手求指导! 解决方案 方法没用是什么意思?结果没出来还是报错? 在后台加断点调试看看哪里有问题 解决方案二: struts class 必需写完 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJBO5p.html" rel="bookmark" class="title">关于fseek，fscanf，fprintf的问题</a>
					<div>
						问题描述 关于fseek,fscanf,fprintf的问题 FILE * fp;int i,n; if((fp=fopen(&quot;tmp&quot;,&quot;w+&quot;))==NUL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmY18p.html" rel="bookmark" class="title">无广告免费虚拟主机空间</a>
					<div>
						特征 KingofHosts了业界领先的功能,您可以建立一个网站和超越你的竞争对手,看看其中一些: 1000M磁盘空间8000桶的磁盘空间( 8GB容量! ) 10000M5万桶的带宽带宽( 50GB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6YGXM.html" rel="bookmark" class="title">Zookeeper分布式服务框架例子</a>
					<div>
						由这个定义我们知道zookeeper是个协调系统,作用的对象是分布式系统.为什么分布式系统需要一个协调系统了?理由如下: 开发分布式系统是件很困难的事情,其中的困难主要体现在分布式系统的&quot;部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkelKM.html" rel="bookmark" class="title">IDIC再升级曙光展示企业级硬实力</a>
					<div>
						2016年7月初,中科曙光技术创新大会(IDIC2016)在北京国家会议中心盛大开幕.以&quot;'亿'触即发&quot;为题,携面向E级时代的重磅发布.囊括全行业的九大分论坛.丰富酷炫的方案应用和 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
